summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Evans <grknight@gentoo.org>2016-12-07 09:17:54 -0500
committerBrian Evans <grknight@gentoo.org>2016-12-07 10:04:50 -0500
commit6dba236c345c962c9b5c136dc4a1cd66a4f85cac (patch)
tree58d8f7ad5cb9e2467cd37079a4ff07ef559715bf
parentxfce-base/xfce4-settings: update dep for build failure with too-old exo (diff)
downloadgentoo-6dba236c345c962c9b5c136dc4a1cd66a4f85cac.tar.gz
gentoo-6dba236c345c962c9b5c136dc4a1cd66a4f85cac.tar.bz2
gentoo-6dba236c345c962c9b5c136dc4a1cd66a4f85cac.zip
dev-php/pecl-ssh2: Drop 5.5 support on 0.13 and allow easier 7.0 transition
Package-Manager: portage-2.3.2
-rw-r--r--dev-php/pecl-ssh2/pecl-ssh2-0.13-r1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-php/pecl-ssh2/pecl-ssh2-0.13-r1.ebuild b/dev-php/pecl-ssh2/pecl-ssh2-0.13-r1.ebuild
new file mode 100644
index 00000000000..8a1cea77a70
--- /dev/null
+++ b/dev-php/pecl-ssh2/pecl-ssh2-0.13-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PHP_EXT_NAME="ssh2"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+
+USE_PHP="php7-0 php5-6"
+
+inherit php-ext-pecl-r3
+
+USE_PHP="php5-6"
+
+DESCRIPTION="PHP bindings for the libssh2 library"
+LICENSE="PHP-3.01"
+SLOT="0"
+IUSE=""
+KEYWORDS="~amd64 ~x86"
+DEPEND=">=net-libs/libssh2-1.2"
+RDEPEND="${DEPEND}"
+PHP_EXT_ECONF_ARGS=""
+PDEPEND="php_targets_php7-0? ( dev-php/pecl-ssh2:7 )"
+
+src_prepare(){
+ if use php_targets_php5-6 ; then
+ php-ext-source-r3_src_prepare
+ else
+ default_src_prepare
+ fi
+}